package com.starcharge.wios.export.impl;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.starcharge.wios.bo.SupplierBo;
import com.starcharge.wios.dao.entity.Reject;
import com.starcharge.wios.dao.mappers.RejectMapper;
import com.starcharge.wios.export.Export;
import com.starcharge.wios.service.SupplierService;
import com.starcharge.wios.vo.SupplierVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 退货管理导出
 * 
 * @author xgl
 * @version [版本号, 2023年11月14日]
 */
@Service
public class RejectExport implements Export<Reject> {

    @Autowired
    private RejectMapper rejectMapper;
    
    @Override
    public List<Reject> getExportList(String json) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        Reject condition = mapper.readValue(json, Reject.class);
        List<Reject> list = rejectMapper.selectRejectList(condition);
        int no = 1;
        for (Reject vo : list) {
            vo.setId(no++);
        }
        return list;
    }
    
}
